SQL-инъекция в WordPress Poll

Дата публикации:
30.01.2013
Дата изменения:
30.01.2013
Всего просмотров:
3766
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:P/I:P/A:N/E:ND/RL:U/RC:ND) = Base:5.8/Temporal:0
(AV:N/AC:M/Au:N/C:P/I:P/A:N/E:ND/RL:U/RC:ND) = Base:5.8/Temporal:0
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
WordPress Poll 34.x
Уязвимые версии: WordPress Poll 34.06, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "poll_id" в сценарии wp-admin/admin-ajax.php (когда параметр "action" равен "view_poll_result" или "submit_vote"). Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "pollid" в сценарии wp-admin/admin-ajax.php (когда параметр "action" равен "deletepoll", "editpoll", "update_answer", "delete_answer", "add_answer", "save_changes" или "view_poll_logs"). Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

Примечание: Для успешной эксплуатации уязвимости может потребоваться, чтобы для голосования было установлено значение "nonce".

URL производителя: http://wordpress.org/extend/plugins/cardoza-wordpress-poll/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://www.girlinthemiddle.net/2013/01/multiple-sql-injection-vulnerabilities.html
http://plugins.trac.wordpress.org/changeset/617235/cardoza-wordpress-poll/trunk/app/CWPController.class.php

или введите имя

CAPTCHA